Subject: bug#44100: closed (Re: bug#44100: 26.3; ERC: Make IBuffer custom display work again)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Aug 2021 02:53:02 +0000

Your bug report

#44100: 26.3; ERC: Make IBuffer custom display work again

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44100: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44100
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44100: 26.3; ERC: Make IBuffer custom display work again
From: Amin Bandali <[email-masked]>
To: Olivier Certner <[email-masked]>, [email-masked]
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Mon, 02 Aug 2021 22:52:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Olivier, all,

Olivier Certner writes:

> Hi,
>
> I've updated the patches for all these so that they cleanly apply on 28.0.50 
> (68276f6d30bbdc09). I've tested them again with a fresh build and everything 
> seems OK.
>
> Don't hesitate to poke me if you have additional questions or comments.
>
> Regards.

I hope you are all well, and my apologies for the long delay on this.

I went ahead and applied your updated patch to 'emacs-27' with a small
wording tweak and merged that into 'master' as well.  I'll also get to
your other patches over the next few days.

Thanks again,
amin

Subject: 26.3; ERC: Make IBuffer custom display work again
From: Olivier Certner <[email-masked]>
To: [email-masked]
Date: Tue, 20 Oct 2020 18:39:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Applies to 26.3, but also all more recent versions as well.

Bug trigger:
1. Load ERC (e.g., open some IRC connection).
2. Launch ibuffer (e.g., type "M-x ibuffer").
3. Switch formats three times (e.g., type "`" three times).
4. You get this error: (wrong-type-argument listp erc-notice-face) and
the buffer is only partly filled, and then cannot be updated.

Root cause:
erc-ibuffer assumes (in (define-ibuffer-column erc-modified ...) form)
that erc-modified-channels-alist is an alist whose values are proper
lists, whereas they are dotted lists.

Patch:
To be attached shortly after bug creation.

-- 
Olivier Certner